Jump to: navigation, search

Eclipse4/RCP/Compatibility Layer/Limitations

< Eclipse4‎ | RCP
Revision as of 13:23, 7 April 2011 by Remysuen.ca.ibm.com (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

Limitations

Given the scope and size of what Eclipse RCP 3.x offered to the developer community, the Compatibility Layer has had a difficult time reimplementing and satisfying all of those same needs and demands.

The Compatibility Layer's implementation of the org.eclipse.ui.workbench bundle does not include the org.eclipse.ui.presentations API. This was a conscious decision as the new rendering story offers developers significantly more flexibility in dictating the look and feel of the workbench.

The org.eclipse.ui.themes extension point is not being honoured for the styling of the tabs. The tab folders have been revamped in support of the new rendering story so these values are no longer being read.

Known Issues

The Compatibility Layer has been helping the Eclipse 4 committers self-host for some time now. However, not all workflows are yet being supported and not every single API has been implemented yet. A list can be found here outlining some of the missing functionality of the current Eclipse 4.x SDK (which is running on top of the Compatibility Layer). If you find any problems, please do not hesitate to open a bug.